Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/FrmEstimatePrintAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/FrmEstimatePrintAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimatePrint/FrmEstimatePrintAuxiliary.cs	(revision 51)
@@ -72,7 +72,7 @@
         #endregion
 
         #region 定数
-        private static readonly string[] SheetName = new string[] {"積算見積書表紙",
+        private static readonly string[] s_SheetName = new string[] {"積算見積書表紙",
                                                                     "積算見積書内訳"
                                                                     };
         /// <summary>
@@ -86,8 +86,8 @@
         /// <summary>
         /// 消費税の但し書き
         /// </summary>
-        private string ConsumptionTaxMessage1 = "（内、消費税相当額￥{0}を含みます）";
-        private string ConsumptionTaxMessage2 = "消費税については相当額を別途御精算願います。";
+        private string s_ConsumptionTaxMessage1 = "（内、消費税相当額￥{0}を含みます）";
+        private string s_ConsumptionTaxMessage2 = "消費税については相当額を別途御精算願います。";
 
         /// <summary>
         /// 表紙１ページ目の行数
@@ -438,34 +438,6 @@
         }
         #endregion
 
-        #region 今の年号を取得する
-        /// <summary>
-        /// 今の年号を取得する
-        /// </summary>
-        /// <returns></returns>
-        private string GetNameOfAnEra()
-        {
-            try
-            {
-                string strRet = string.Empty;
-
-                CultureInfo culture = new CultureInfo("ja-JP", true);
-                culture.DateTimeFormat.Calendar = new JapaneseCalendar();
-
-                string result = DateTime.Now.ToString("ggyy年M月d日", culture);
-
-                strRet = result.Substring(0, 2);
-
-                return strRet;
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return string.Empty;
-            }
-        }
-        #endregion
-
         #region 表紙印鑑表示
         /// <summary>
         ///  表紙印鑑表示
@@ -476,18 +448,25 @@
             IOProcessApproval paDB = new IOProcessApproval();
             try
             {
+                ArrayList arlist = new ArrayList();
+                
                 // 承認データ読込
-                string strSQLSeal = "SELECT A.PERSONCODE FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B";
-                strSQLSeal += paDB.CreatePrimarykeyString(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.EstimateApproval);
-                strSQLSeal += " AND A.PERSONCODE = B.PERSONCODE Order By B.SECURITYMANAGEMENT ASC";
-                ArrayList arlist = new ArrayList();
+                string strSQLSeal = string.Empty;
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    strSQLSeal = "SELECT B.* FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B";
+                }
+                else
+                {
+                    strSQLSeal = "SELECT B.*, C.SECRANK FROM PROCESSAPPROVAL A, PERSONINCHARGEMASTER B, SECURITYMASTER C";
+                }
+                strSQLSeal += paDB.CreatePrimarykeyString(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.EstimateApproval, CommonDefine.s_Default_OrderNo);
+                strSQLSeal += " AND A.PERSONCODE = B.PERSONCODE";
+                if (CommonMotions.LoginUserData.SecCode != 0) strSQLSeal += " AND C.SECCODE = B.SECCODE";
+                strSQLSeal += " Order By B.SECURITYMANAGEMENT ASC";
                 if (!paDB.ExecuteReader(strSQLSeal, ref arlist)) return;
 
-                //string strSQLSeal = paDB.CreatePrimarykeyString(m_ConstructionCode, (int)ClsExcute.ApprovalListNo.EstimateApproval);
-                //strSQLSeal += " Order By SeqNo desc";
-                //List<ProcessApproval> paList = new List<ProcessApproval>();
-                //if (!paDB.SelectAction(strSQLSeal, ref paList)) return;
-
                 // 印刷テーブル作成
                 int[] PorsonCode = new int[4] { 0, 0, 0, 0 };
                 List<string> NameTable = new List<string>();
@@ -494,32 +473,47 @@
                 for (int i = 0; i < PorsonCode.Length; i++) NameTable.Add("");
                 string[] OrderOfPrecedenceTable = new string[4];
 
-                // 営業をセットする                
-                //PorsonTable[2] = SalesPersonCode;
-                //PersonInChargeMaster SalesRec = new PersonInChargeMaster();
-                //string strSales = picDB.CreatePrimarykeyString(SalesPersonCode);
-                //picDB.SelectAction(strSales, ref SalesRec);
-                //NameTable[2] = SalesRec.SealPrintName;
-                //OrderOfPrecedenceTable[2] = "営　業";
-
+                int PersonDataCnt = Enum.GetNames(typeof(IOMPersonInCharge.ColumnCnt)).Length;
                 // 承認データより担当者その他を取得する
-                //foreach (ProcessApproval readRec in paList)
-                for (int i = 0; i < arlist.Count;i++ )
+                for (int i = 0; i < arlist.Count; i++)
                 {
                     // エクセルの枠より多い場合は処理を抜ける
                     if (i > 3) break;
 
                     object[] readObj = (object[])arlist[i];
-
                     PersonInChargeMaster PersonRec = new PersonInChargeMaster();
-                    string strSQL = picDB.CreatePrimarykeyString(CommonMotions.cnvInt(readObj[0]));
-                    if (!picDB.SelectAction(strSQL, ref PersonRec)) continue;
+                    picDB.Reader2Struct(readObj, ref PersonRec);
 
-                    // 最高責任者・統括責任者・所属長かどうかを調べる
-                    if (PersonRec.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key ||
-                        PersonRec.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key ||
-                            PersonRec.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
+                    bool SelData = false;
+                    // 新セキュリティデータ対応済みかを確認する
+                    if (CommonMotions.LoginUserData.SecCode == 0)
                     {
+                        // 最高責任者・統括責任者・所属長かどうかを調べる
+                        if (PersonRec.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key ||
+                            PersonRec.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key ||
+                                PersonRec.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
+                        {
+                            SelData = true;
+                        }
+                    }
+                    else
+                    {
+                        int SecRank = CommonMotions.cnvInt(readObj[PersonDataCnt]);
+                        int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 特別権限
+                        int FRank = (int)CommonDefine.SecurityRankPos.FreeAuthority;        // 統括者権限
+                        int LRank = (int)CommonDefine.SecurityRankPos.LimitedAuthority;     // 所属長権限
+
+                        // 最高責任者・統括責任者・所属長かどうかを調べる
+                        if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                            || SecRank == CommonDefine.SecurityRankList[SRank].Key
+                            || SecRank == CommonDefine.SecurityRankList[FRank].Key
+                            || SecRank == CommonDefine.SecurityRankList[LRank].Key)
+                        {
+                            SelData = true;
+                        }
+                    }
+                    if (SelData)
+                    {
                         // コードと名前と役職を取得する
                         PorsonCode[i] = PersonRec.PersonCode;
                         NameTable[i] = PersonRec.SealPrintName;
@@ -629,7 +623,7 @@
                 // 工事名称を退避する
                 strParaList.Add(GetDictionaryMember(workDic, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName).Trim());     // 工事名称
                 //表紙シートの取得
-                m_UsedExcel.ExcelSheetGet(SheetName[(int)enumSheetName.Cover]);
+                m_UsedExcel.ExcelSheetGet(s_SheetName[(int)enumSheetName.Cover]);
                 // 約款ページ縦・横セット
                 m_UsedExcel.ExcelFitCountSet(2, 1);
 
@@ -646,7 +640,7 @@
                 }
                 else
                 {
-                    objPrint0[1, (int)Cover1ColumCharctor.ColumM] = GetNameOfAnEra() + "   年   月   日";
+                    objPrint0[1, (int)Cover1ColumCharctor.ColumM] = CommonMotions.GetNameOfAnEra(DateTime.Now) + "   年   月   日";
                 }
 
                 objPrint0[5, (int)Cover1ColumCharctor.ColumC] =
@@ -657,9 +651,15 @@
                 int Price = 0;
                 //if (worklist[0].ConsumptionTaxFlg == 1)
                 if (m_ConsumptionTaxFlg == (int)CommonDefine.BaseInfoConsumptionTaxFlg.Include)
-                    strSQL = edDB.CreatePrimarykeyString(m_ConstructionCode) + " And FixedItemCode = 'E'";
+                {   // 総計　'E'
+                    strSQL = edDB.CreatePrimarykeyString(m_ConstructionCode);
+                    strSQL += string.Format(" And FixedItemCode = '{0}'", CommonDefine.GetEstimateTotalSeqNo(CommonDefine.EstimateTotalSeqNo.ToTal5));
+                }
                 else
-                    strSQL = edDB.CreatePrimarykeyString(m_ConstructionCode) + " And FixedItemCode = 'C'";
+                {   // 改め合計　'C'
+                    strSQL = edDB.CreatePrimarykeyString(m_ConstructionCode);
+                    strSQL += string.Format(" And FixedItemCode = '{0}'", CommonDefine.GetEstimateTotalSeqNo(CommonDefine.EstimateTotalSeqNo.ToTal3));
+                }
                 if (edDB.SelectAction(strSQL, ref etList) && etList.Count != 0)
                 {
                     Price = (int)CommonMotions.cnvRound(etList[0].PriceValue);
@@ -673,17 +673,18 @@
                 {
                     etList.Clear();
                     int Tax = 0;
-                    strSQL = edDB.CreatePrimarykeyString(m_ConstructionCode) + " And FixedItemCode = 'D'";
+                    strSQL = edDB.CreatePrimarykeyString(m_ConstructionCode);
+                    strSQL += string.Format(" And FixedItemCode = '{0}'", CommonDefine.GetEstimateTotalSeqNo(CommonDefine.EstimateTotalSeqNo.ToTal4));
                     if (edDB.SelectAction(strSQL, ref etList) && etList.Count != 0)
                     {
                         Tax = (int)CommonMotions.cnvRound(etList[0].PriceValue);
                     }
 
-                    strTax = string.Format(ConsumptionTaxMessage1, Tax.ToString("#,#"));
+                    strTax = string.Format(s_ConsumptionTaxMessage1, Tax.ToString("#,#"));
                 }
                 else
                 {
-                    strTax = ConsumptionTaxMessage2;
+                    strTax = s_ConsumptionTaxMessage2;
 
                 }
                 objPrint0[10, (int)Cover1ColumCharctor.ColumD] = strTax;                                                                // 消費税
@@ -724,7 +725,7 @@
                 }
                 else
                 {
-                    objPrint[0, (int)Cover2ColumCharctor.ColumE] = GetNameOfAnEra() + "   年   月   日";
+                    objPrint[0, (int)Cover2ColumCharctor.ColumE] = CommonMotions.GetNameOfAnEra(DateTime.Now) + "   年   月   日";
                 }
 
                 objPrint[2, (int)Cover2ColumCharctor.ColumE] = GetDictionaryMember(workDic, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName).Trim();         // 工事名称
@@ -899,7 +900,7 @@
                 if (LargeList.Count == 0) return CommonDefine.RetunAnswer.Answer7;
 
                 //シートの取得
-                m_UsedExcel.ExcelSheetGet(SheetName[(int)enumSheetName.Detail], true, TotalPageName);
+                m_UsedExcel.ExcelSheetGet(s_SheetName[(int)enumSheetName.Detail], true, TotalPageName);
 
                 // 1ページに収まらない場合必要分、先にコピーする（１明細1行＋工事名－最後の空白行）
                 int workRow = (int)CommonMotions.cnvRoundUp((double)(LargeList.Count + 1) / (double)s_DetailNumberOfLine);
@@ -913,7 +914,7 @@
                     string PrintArea = string.Format("$A$1:$H${0}", (s_NumberOfRowInDetail * workRow));
 
                     // シートの取得
-                    m_UsedExcel.ExcelSheetGet(SheetName[(int)enumSheetName.Detail], false);
+                    m_UsedExcel.ExcelSheetGet(s_SheetName[(int)enumSheetName.Detail], false);
                     // 明細フォーマットのコピー
                     m_UsedExcel.ExcelCopyRow(SrcRow, DestRow, PrintArea, workRow);
                 }
@@ -1032,7 +1033,7 @@
                     // ラインカント
                     LineCount = 0;
                     //シートの取得
-                    m_UsedExcel.ExcelSheetGet(SheetName[(int)enumSheetName.Detail], true, DataBody.PageTitle);
+                    m_UsedExcel.ExcelSheetGet(s_SheetName[(int)enumSheetName.Detail], true, DataBody.PageTitle);
 
                     // タイトル行をセットする
                     if (DataBody.SelectComponent == 0)
@@ -1079,7 +1080,7 @@
                         string PrintArea = string.Format("$A$1:$H${0}", (s_NumberOfRowInDetail * workRow));
 
                         // シートの取得
-                        m_UsedExcel.ExcelSheetGet(SheetName[(int)enumSheetName.Detail], false);
+                        m_UsedExcel.ExcelSheetGet(s_SheetName[(int)enumSheetName.Detail], false);
                         // 明細フォーマットのコピー
                         m_UsedExcel.ExcelCopyRow(SrcRow, DestRow, PrintArea, workRow);
                     }
@@ -1235,5 +1236,52 @@
             return true;
         }
         #endregion
+
+        #region 工事情報取得処理
+        /// <summary>
+        /// 工事情報取得
+        /// </summary>
+        /// <returns></returns>
+        private bool GetBaseInfoData()
+        {
+            IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();
+            try
+            {
+                string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
+                if (!cbDB.SelectAction(strSQL, ref m_ConstructionBaseInfo)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                cbDB.close(); cbDB = null;
+            }
+        }
+        #endregion
+
+        #region 書込み禁止処理
+        /// <summary>
+        /// 参照処理
+        /// </summary>
+        private void ReadOnly()
+        {
+            try
+            {
+                // データ編集に関するボタンを非表示にする
+                btnPrint.Visible = false;                           // 印刷ボタン
+                btnCancel.Visible = false;                          // 印刷中止ボタン
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
     }
 }
